GET api/sticker/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "1b88f398-bc07-485b-a228-e88163227098",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "bb337b46-ccf4-4bc4-875f-572757242369",
      "contractItem_ID": "0cc70cc4-cfd4-4d89-a720-49a7c383ab95",
      "departement_ID": "d737d62c-e824-437e-9eb2-92d101c545a7",
      "departmentItem_ID": "b60b978c-b9cd-4b31-9dc4-b4c0769d9627",
      "iD": "ad330d7c-0ec0-489b-8be4-936be9773f23",
      "site_ID": "7099d6f0-cc6a-4778-8fe7-3fd87e5a6818",
      "siteCustomer_ID": "b1e1459f-e753-47f7-a116-c2b62df948ce",
      "sticker_ID": "3f86afcf-7fe6-40b6-8d40-46149785b7dc",
      "garment_ID": "c3797ddb-ecb0-4c78-bb52-fffdcbdde930"
    },
    {
      "active": true,
      "contract_ID": "bb337b46-ccf4-4bc4-875f-572757242369",
      "contractItem_ID": "0cc70cc4-cfd4-4d89-a720-49a7c383ab95",
      "departement_ID": "d737d62c-e824-437e-9eb2-92d101c545a7",
      "departmentItem_ID": "b60b978c-b9cd-4b31-9dc4-b4c0769d9627",
      "iD": "ad330d7c-0ec0-489b-8be4-936be9773f23",
      "site_ID": "7099d6f0-cc6a-4778-8fe7-3fd87e5a6818",
      "siteCustomer_ID": "b1e1459f-e753-47f7-a116-c2b62df948ce",
      "sticker_ID": "3f86afcf-7fe6-40b6-8d40-46149785b7dc",
      "garment_ID": "c3797ddb-ecb0-4c78-bb52-fffdcbdde930"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "68624d61-3bf6-4d5c-af3c-e690320245b9",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "2a55aa93-12b2-404d-883c-8a1ae8587827",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "b9302ab3-f4cb-4617-a1e5-176c6cd292b5",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "39c89fa2-8815-48ca-8d2e-3ca839857bb5",
      "stickerField_ID": "41f06284-7698-4864-94b0-d0e71340a934",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "68624d61-3bf6-4d5c-af3c-e690320245b9",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "2a55aa93-12b2-404d-883c-8a1ae8587827",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "b9302ab3-f4cb-4617-a1e5-176c6cd292b5",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "39c89fa2-8815-48ca-8d2e-3ca839857bb5",
      "stickerField_ID": "41f06284-7698-4864-94b0-d0e71340a934",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "6fba3297-f4c5-4779-ba8b-b9c7b3a20e1f",
  "stickerType_ID": "885dfc1b-e237-4ce4-9e13-072bdd950235",
  "stickerRelation_IDs": [
    "886eb604-e685-4e78-a654-ec4d5acb4149",
    "08e8c9ea-384b-4227-bd0e-86bcc920964a"
  ],
  "site_ID": "73efa24c-9017-4c02-99a4-fab367afe812"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.